package com.dsic.gj_erp.service.jcsj.impl;

import com.dsic.gj_erp.bean.jcsj.DmDwxxp;
import com.dsic.gj_erp.mapper.jcsj.DmDwxxpMapper;
import com.github.jeffreyning.mybatisplus.service.MppServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

@Service
public class DmDwxxpService extends MppServiceImpl<DmDwxxpMapper, DmDwxxp> {

    public Map<String,List<DmDwxxp>> getDwxxForSelect(){
        List<DmDwxxp> list = this.list();
        return list.stream().collect(Collectors.groupingBy(DmDwxxp::getQy));
    }

    @Transactional(rollbackFor = Exception.class)
    public void saveOrEdit(List<DmDwxxp> list){
        this.saveOrUpdateBatch(list);
    }
    public void remove(DmDwxxp dwxxp){
        baseMapper.deleteById(dwxxp);
    }

}
