package com.dsic.gj_erp.service.txzz;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dsic.gj_erp.bean.ResultBean;
import com.dsic.gj_erp.bean.tree.ProjectTreeVo;
import com.dsic.gj_erp.bean.txzz.DmProject;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 船只信息 服务类
 * </p>
 *
 * @author xhj
 * @since 2021-03-19
 */
public interface DmProjectService extends IService<DmProject> {


    public List<ProjectTreeVo> getProjectTree(Map<String, Object> params);


    /**
     * @author 张恩铭
     */
    ResultBean<List<DmProject>> getByCondition(DmProject dmProject);

    /**
     * @author 张恩铭
     */
    ResultBean<List<DmProject>> getAllProject();
    /**
     * @author 张恩铭
     */
    ResultBean<Integer> updateProject(DmProject[] dmProjects);

    /**
     * @Title  查询表格中的工程编号在编码表中有没有
     * @Description //todo
     * @author xcs
     * @updateAuthor xcs
     * @Date 2021/5/7 16:18
     * @version v1.0.0
     * @exception
     * @throws
     * @return
     **/
    DmProject getProgect(DmProject project);



    /**
     * @updateAuthor
     * @Author xhj
     * @Description  Mp 下 船只管理界面基础查询
     * @Date 10:43 2021/7/21
     * @Param params:
     * @return: java.util.Map
    **/

    public Map mpGetBase(Map<String, Object> params);

   void saveBaths(HttpServletRequest httpRequest,List<DmProject>dmProjects);

}
